.pagedefTitle { font-family: arial,helvetica,sans-serif; font-size: 14px; font-weight: bold}
.pagedefTiny { font-size:11px; font-family:verdana }
.tinyfont { FONT-SIZE: 1px; FONT-STYLE: normal; COLOR: #fefefe; FONT-FAMILY: sans-serif; FONT-VARIANT: normal } 

.head
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 24px;
    FONT-STYLE: normal;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}

.title
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 16px;
    FONT-STYLE: normal;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}

.class1
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 20px;
    FONT-STYLE: normal;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}
.class2
{
    FONT-SIZE: 13px;
    FONT-STYLE: normal;
    FONT-FAMILY: arial;
    FONT-VARIANT: normal
}
.class3
{
    FONT-SIZE: 10px;
    FONT-STYLE: normal;
    FONT-FAMILY: Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}

.class5
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 12px;
    FONT-STYLE: normal;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}

A.category_bold:link
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category_bold:visited
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category_bold:active
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category_bold:hover
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead:link
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: blue;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead:visited
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: blue;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead:active
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: #0000ff;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead:hover
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_negative:link
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_negative:visited
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_negative:active
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: #0000ff;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_negative:hover
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 10pt;
    COLOR: blue;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_small:link
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: blue;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_small:visited
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: blue;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_small:active
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #0000ff;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.catehead_small:hover
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 8pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}


.tabledef
{
    FONT-SIZE: 11px;
    FONT-FAMILY: verdana,arial,helvetica,sans-serif
}

.selectStd
{
    FONT-SIZE: 11px;
    FONT-FAMILY: verdana,arial,helvetica,sans-serif
}
.buttonStd
{
    FONT-SIZE: 11px;
    FONT-FAMILY: verdana,arial,helvetica,sans-serif
}
.inputStd
{
    FONT-SIZE: 11px;
    FONT-FAMILY: verdana,arial,helvetica,sans-serif
}

A:link
{
    FONT-SIZE: 9pt;
    COLOR: blue;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    TEXT-DECORATION: underline
}
A:visited
{
    FONT-SIZE: 9pt;
    COLOR: blue;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    TEXT-DECORATION: underline
}
A:active
{
    FONT-SIZE: 9pt;
    COLOR: blue;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    TEXT-DECORATION: underline
}
A:hover
{
    FONT-SIZE: 9pt;
    COLOR: #ff9900;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    TEXT-DECORATION: underline
}

A.category:link
{
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category:visited
{
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category:active
{
    FONT-SIZE: 8pt;
    COLOR: #000000;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.category:hover
{
    FONT-SIZE: 8pt;
    COLOR: #ff9900;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}

A.headlink:link
{
    FONT-SIZE: 10pt;
    FONT-WEIGHT: bold;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.headlink:visited
{
    FONT-SIZE: 10pt;
    FONT-WEIGHT: bold;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.headlink:active
{
    FONT-SIZE: 10pt;
    FONT-WEIGHT: bold;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}
A.headlink:hover
{
    FONT-SIZE: 10pt;
    FONT-WEIGHT: bold;
    FONT-FAMILY: arial,helvetica,sans-serif;
    TEXT-DECORATION: underline
}

.smallhead
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 14px;
    FONT-STYLE: normal;
    FONT-FAMILY: arial,verdana,arial,helvetica,sans-serif;
    FONT-VARIANT: normal
}


.tableRightBorder
{
    BORDER-RIGHT: #555555 2px solid;
    BORDER-TOP: #bbbbbb 2px;
    BORDER-LEFT: #bbbbbb 2px;
    BORDER-BOTTOM: #bbbbbb 2px
}

.head1
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 20px;
    FONT-STYLE: normal;
    FONT-FAMILY: 
    FONT-VARIANT: normal
}
.head2
{
    FONT-SIZE: 12px;
    FONT-STYLE: normal;
    FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;
    FONT-VARIANT: normal
}

table.sample {
	border-width: 0px;
	border-spacing: ;
	border-style: none;
	border-color: green;
	border-collapse: collapse;
	background-color: white;
	FONT-FAMILY: arial,helvetica,sans-serif;
}

table.sample th {
	border-width: 1px;
	padding: 2px;
	border-style: dotted;
	border-color: green;
	background-color: #CCFF99;
	font-size:14px;
	color:#000000;
	FONT-FAMILY: arial,helvetica,sans-serif;
}

table.sample td {
	border-width: 1px;
	padding: 1px;
	border-style: solid;
	border-color: gray;
	font-size:12px;
	FONT-FAMILY: arial,helvetica,sans-serif;
}

/* NEW STYLES START HERE */

.content-v2 {
    width: 100vw;
    position: relative;
    max-width: 1000px;
    box-sizing: border-box;
}

.content-v2 h1, .content-v2 h2, .content-v2 h3 {
    margin: 0px;
    padding-block-start: 0.4em;
    padding-block-end: 0.2em;
    font-family: sans-serif;
}


.content-v2 h1 {
    font-size: 1.5em;
}



.content-v2 table.data-table {
width: 100%;
    border-collapse: collapse;
	}
	
.content-v2 table.data-table  tr {
	
	}
	
.content-v2 table.data-table  th {
    border: 0px;
    padding: 5px;
    background: #595959;
    text-transform: capitalize;
    background-color: rgb(221, 221, 221);
    color: black;
    font-weight: bold;
    text-align: left;
    border: 1px solid #9a9a9a;
	}
	
.content-v2 table.data-table  td {
border: 0px;
    background: #fbfbfb;
    border-bottom: 1px solid #e1e1e1;
    padding: 5px;
    border: 1px solid #837979;
	}
	
	
	
	
.content-v2 table.section-data-table {
	
width: 100%;
    box-sizing: border-box;
    border-collapse: collapse;
		
	}
	
.content-v2 table.section-data-table  tr {
	
	}
	
.content-v2 table.section-data-table  th {
	padding: 5px;
    background: #595959;
    text-transform: capitalize;
    background-color: rgb(221, 221, 221);
    color: black;
    font-weight: bold;
    text-align: left;
    border: 1px solid #9a9a9a;
}
	
	
	.content-v2 table.section-data-table th:first-child {
	    border-left: 0px;
	}
	
		.content-v2 table.section-data-table th:last-child {
	    border-right: 0px;
	}
	
.content-v2 table.section-data-table  td {
border: 0px;
    background: #fbfbfb;
    border-bottom: 1px solid #e1e1e1;
    padding: 5px;
    padding-left: 5px;
    background: white;
    border: 1px solid #9a9a9a;
}

.content-v2  .content-v2 table.section-data-table .edit-cell:hover {
    background: #e1f0ff;
}
.content-v2  .content-v2 table.section-data-table .edit-cell {
    min-height: 1em;
    display: inline-block;
    width: 100%;
    cursor: pointer;
}

.content-v2  .button-list {
    position: relative;
    display: inline-block;
}

.button-list button {
    background: white;
    padding: 5px;
    padding-left:15px;
    width: 180px;
    border: 1px solid black;
    text-align: left;
    padding-left: 15px;
    font-size: 1em;
    cursor: pointer;
    color: #5a5a5a;
}

.button-list button:hover {
    color: black;
    background: #f9f9f9;
}

.button-list ul {
    position: absolute;
    background: white;
    margin-top: 0px;
    left: 0px;
    right: 0px;
    padding: 0px;
    list-style: none;
    font-size: 0.8em;
    border: 1px solid #9d9d9d;
    border-top: 0px;
    display: none;
}

.button-list.active ul {
        display: block;
}

.button-list ul li {
    padding: 5px;
    padding-left: 15px;
    cursor: pointer;
    border: 1px solid #ececec;
    border-color: #ececec;
    border-top-color: white;
    border-bottom-color: white;
    color: #636363;
}

.button-list ul li:hover {
    background: #f3f3f3;
    border: 1px solid gainsboro;
    color: black;
}

.button-list ul li:last-child:hover {
    border-bottom: 0px;
}



.section
{
    border: 1px solid #dddddd;
    border-top: 0px;
    margin-top: 20px;
    box-sizing: border-box;
}

.section .heading h2
{
	font-size: 1em;
}

.section  h2
{
	font-size: 1em;
}

.section.no-head
{
	border: 1px solid black;
}

.section .content-box {
padding: 0px 15px;
    margin-top: 15px;
    margin-bottom: 20px;
}

.content-v2 .button-bar {
    padding: 15px 0px;
}

.content-v2 .button-bar  button {
 margin-right: 15px;
}


.sbtable {
	    width: 100%;
    border-collapse: collapse;
}
.sbtable th {
	background: #eeeeee;
	font-weight:bold;
}
.sbtable th,.sbtable td {
    border: 1px solid #e6e6e6;
}


.sb-button {
    padding: 5px;
    cursor: pointer;
}

.sb-red-button {
    background: #ff3b3b;
    color: white;
    border: 1px solid #ff0606;
    padding: 5px;
    cursor: pointer;	
}
.sb-blue-button {
background: #4b8ab0;
    color: white;
    border: 1px solid #4b8ab0;
    padding: 5px;
    cursor: pointer;	
}
.sb-green-button {
    background: #71c45b;
    color: white;
    border: 1px solid #94e788;
    padding: 5px;
    cursor: pointer;
}
.sb-orange-button {
    background: #d39600;
    color: white;
    border: 1px solid #ecd347;
    padding: 5px;
    cursor: pointer;	
}

.flex-between {
	display: flex;
    justify-content: space-between;
    align-items: center;
}


.section .heading {
    border: 1px solid #eaeaea;
    border-left: 0px;
    border-right: 0px;
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 0px;
    padding-top: 5px;
    padding-bottom: 5px;
    background: #fafafa;
    display: flex;
    justify-content: space-between;
    align-items: center;
}



		.notification-msg {
			position: absolute;
			z-index: 2;
			right: 15px;
			padding: 5px 25px 5px 10px;
			top:15px;
		}

		.notification-msg.msg-success {
			background: #ccf3bc;
			color: green;
			border-left: 5px solid green;
			
		}
		
		
		.dialog-wrapper {
			position: fixed;
		    left: 0px;
		    right: 0px;
		    top: 0px;
		    bottom: 0px;
		    background: #dddddd8c;
		    padding: 0px;
		    margin: 0px;
		    justify-content: center;
		    align-items: center;
		    display:none;
		    cursor:pointer;
		    z-index: 99;
		}
		
		.dialog-wrapper .dialog-body {
		    background: white;
		    border: 1px solid #e7e7e7;
		    border-radius: 5px 5px 0px 0px;
		    min-width: 500px;
		    cursor: initial;
		    
			overflow: auto;
		    max-height: 90vh;
		    overflow-x: hidden;
		    
		}
		
		
		.dialog-wrapper .dialog-body .dialog-header {
			padding: 10px;
		    border-bottom: 1px solid #ededed;
		    display: flex;
		    justify-content: space-between;
		    align-items: center;
		    background: #515151;
		    color: white;
		}
		
		.dialog-wrapper .dialog-body .dialog-header #dialog-header-close {
		    cursor:pointer;
		}
		
		.dialog-wrapper .dialog-body .dialog-header h1 {
			padding: 0px;
    		margin: 0px;
    		font-size: 1.5em;
    		margin-right: 15px;
		}
		
		
		.dialog-wrapper .dialog-body .dialog-content {
    		min-height: 200px;
    		padding: 10px;
		}
		
		
		body.dialog-open {
			overflow:hidden;
		}
		
		body.dialog-open .dialog-wrapper {
		    display: flex;
		}
		
		
		/* Chrome, Safari, Edge, Opera */
input.simple::-webkit-outer-spin-button,
input.simple::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number].simple {
  -moz-appearance: textfield;
}


/* classic styles */

table.sb-table {
	width:100%;
}

table.sb-table th {
    background-color: eeeeee;
    font-weight: normal;
    font-size: 0.8em;
    FONT-STYLE: normal;
    FONT-FAMILY: arial;
    FONT-VARIANT: normal;
    padding: 5px 5px;
    text-align: left;
    padding-right: 10px;
    vertical-align: text-top;
}

table.sb-table td.info {
padding-bottom: 5px;
    font-size: 0.8em;
    margin: 0px;
    color: #0000d8;
}

.dialog-wrapper .dialog-body .dialog-header {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #515151;
    color: white;
    border-bottom: 2px solid red;
}

.dialog-content {
    border: 3px solid rgb(204, 204, 255);
    border-top: none;
}


table.sb-table td.err input[type="text"], table.sb-table td.err select, table.sb-table td.err input[type="password"]  {
    border: 1px solid red;
}

table.sb-table span.field-err-msg {
    color: red;
    font-size: 0.8em;
    display: block;
    margin-top: 5px;
    margin-bottom: 5px;
    padding-left: 5px;
}

.content-v2 span.err-block {
	color: #cd0101;
    border: 1px solid #faf0f0;
    padding: 5px 10px;
    background: #fff3f3;
    text-transform: capitalize;
}

.content-v2 .flex-between {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.content-v2 .breadcrumb {
	font-size: 1em;
	font-size: 1em;
    padding: 5px;
}
.content-v2 .breadcrumb a {
	font-size: 1em;
}


#field-table .field-move-button {
    display: block;
    border: 1px solid #cdcdcd;
    border-radius: 5px;
    margin: 2px 0px;
    cursor: pointer;
    text-align: center;
}

#field-table .field-move-button:hover{
	    background: black;
    color: white;
}

#field-table .id-cell {
	 text-align: center;
}

#file-formats-display {
    padding: 5px;
    margin: 10px 0px;
    border: 1px solid #7b7b7b;
    border-radius: 5px;
}

#file-formats-display span.selected-format {
    border: 1px solid #c3c3c3;
    border-radius: 5px;
    padding: 2px 0px 2px 5px;
    display: inline-block;
    background: #f6f6f6;
}


#file-formats-display span.selected-format {
    border: 1px solid #c3c3c3;
    border-radius: 5px;
    padding: 2px 0px 2px 8px;
    display: inline-block;
    background: #f6f6f6;
    margin-right:5px;
}

#file-formats-display button {
    border: 0px;
    background: 0px;
    padding: 0px 5px;
}

#file-formats-display button i:hover {
    color: red;
}
#file-formats-display button i {
    color: #b93f3f;
    cursor: pointer;
}

#file-types-select-wrapper  {
  
    margin:5px;
}

#file-types-select-wrapper  select {
      width: 100px;
    height: 23px;
}
#file-types-select-wrapper button {
    height: 23px;
}


#file-types-select-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    border: 1px solid #b0b0b0;
    background: #cfcfcf;
    gap: 1px;
}

.err div#file-types-select-wrapper {
    border-color: red;
}

#file-types-select-wrapper span {
    padding: 5px;
    background: white;
    cursor: pointer;
}

#file-types-select-wrapper input {
    margin-right: 5px;
    vertical-align: middle;
    cursor: pointer;
}

#function-wrapper-2  .function-item {
    text-align: left;
    border-top: 2px solid red;
    margin-top: 10px;
    display: flex;
}

#function-wrapper-2  .function-item label {
	position: absolute;
	left: 0px;
	top: 0px;
}


#function-wrapper-2  .function-item .variable-attribute {
    position: relative;
    padding-top: 20px;
    margin-top: 8px;
    padding-right: 5px;
}



#variable-wrapper .variable-item {
    text-align: left;
    border-top: 2px solid black;
    margin-top: 10px;
    display: flex;
    padding-top:20px;
}

#variable-wrapper .variable-item label {
	position: absolute;
    left: 0px;
    top: -20px;
    font-weight: bold;
}

#variable-wrapper .variable-item .variable-attribute {
    position: relative;
    margin-top: 8px;
    padding-right: 5px;
}

#variable-wrapper .variable-item .variable-attribute.name {
    padding-right: 20px !important;
}

#variable-wrapper .variable-item .variable-attribute.name:after {
    content: "=";
    font-size: 20px;
    font-weight: bold;
    position: absolute;
    right: 5px;
}


#variable-wrapper .variable-item .variable-attribute.parameters {
    display: flex;
    margin: 0px;
    padding: 0px;
    flex-wrap: wrap;
}

#variable-wrapper .variable-item .variable-function-parameter {
    position: relative;
    margin-top: 5px;
    padding-right: 5px;
}


.variable-attribute.err input, .variable-function-parameter.err input  {
	border: 1px solid red;
}

.variable-attribute value {
	flex: 1 1 auto;
}

#variable-wrapper .error {
    color: red;
    background: #fff3f3;
    padding: 5px;
    margin-top: 5px;
    border: 1px solid #e5c2c2;
}

.variable-function-parameter:first-child:before {
    content: "[";
    font-size: 20px;
}

.variable-function-parameter:after {
    content: ",";
    font-size: 20px;
    font-weight: bold;
}

#variable-wrapper .variable-item .variable-function-parameter label {
    font-size: 12px;
    top: 5px;
    font-weight: normal;
    color: blue;
    display: none;
}

#variable-wrapper .variable-item .variable-function-parameter:first-child label {
    left: 10px;
}

.variable-function-parameter:last-child:after {
    content: "]";
}




#function-wrapper  .function-item {
    text-align: left;
    border-top: 2px solid red;
    margin-top: 10px;
}

#function-wrapper  .function-item {
    text-align: left;
    border-top: 2px solid red;
    margin-top: 10px;
}

#function-wrapper .function-item th {
    text-align: left;
    font-weight: normal;
    padding: 5px;
    width: auto;
    background: #eeeeee;
    border-bottom: 1px solid white;
    padding-right: 15px;
    border-right: 1px solid #dbdbdb;
}

#function-wrapper .function-item .function-item td {
    width: 100%;
    padding-left: 5px;
}

.dialog-wrapper {
    position: fixed;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    background: #dddddd8c;
    padding: 0px;
    margin: 0px;
    justify-content: center;
    align-items: center;
    display: none;
    cursor: pointer;
}




.file-manager-dialog .dialog-body {
    background: white;
    border: 1px solid #e7e7e7;
    border-radius: 5px 5px 0px 0px;
    min-width: 750px;
    cursor: initial;
    overflow: auto;
    max-height: 90vh;
    overflow-x: hidden;
    height: 90vh;
}

.file-manager-dialog .dialog-body .dialog-content {
    border: none;
}


.file-manager-wrapper {
    display: flex;
    height: calc(90vh - 51px);
    border: 1px solid;
    margin: -10px;
    overflow: hidden;
}


.file-manager-wrapper .folder-select {
    flex: 0 1 300px;
    overflow: hidden;
    border-right: 5px solid #bdbdbd;
    border-right-style: ridge;
}


.file-manager-wrapper .file-upload-step {
    border-bottom: 1px solid black;
    padding: 5px;
    padding-bottom: 10px;
}

.file-manager-wrapper .step-heading {
    background: #f3e79d;
    font-size: 14px;
    padding: 2px 5px;
    margin-bottom: 5px;
}


.file-manager-wrapper .new-dir-wrapper{
    margin-top: 10px;
    border-top: 1px solid darkgrey;
    padding-top: 5px;
}




.file-manager-wrapper .breadcrumbs span{
	    text-transform: capitalize;
    font-weight: bold;
    font-size: 16px;
}

.file-manager-wrapper .breadcrumbs a {
    text-transform: capitalize;
    padding-right: 5px;
    text-align: center;
    font-weight: bold;
    font-size: 12px;
}


.file-manager-wrapper .directory-list {
    border-top: 1px solid #b5b5b5;
    margin-top: 5px;
    padding-left: 5px;
}

.file-manager-wrapper .directory-list a {
    padding-left: 15px;
    position: relative;
    margin-top: 5px;
    display: block;
}

.file-manager-wrapper .directory-list a:before {
    text-transform: none;
    text-decoration: none;
    position: absolute;
    left: 0px;
    font-family: "Font Awesome 6 Free";
    content: "\f07b";
    color: black;
}

.file-manager-wrapper .directory-list a:hover:before {
    color: #ff9900;
}





.file-viewer {
    padding: 0px 5px;
    overflow: auto;
    flex: 1 1 auto;
}

.file-viewer  h2 {
    font-size: 18px;
    margin: 0px;
    margin-top: 5px;
}

.file-viewer  .file-list {
	flex: 1 1 auto;
    margin-top: 10px;
}

.file-viewer  .file-list .file-item{
	display: flex;
    justify-content: flex-start;
    align-items: center;
    border: 1px solid #cfcfcf;
}



.file-viewer  .file-list .file-item .fm-img-details{
    padding: 5px;
}


.file-viewer  .file-list .file-item .fm-img-preview{
    width: 150px;
    height: 150px;
    background-size: contain;
    background-repeat: no-repeat;
    border-right: 1px solid #b6b6b6;
    background-position: center;
    background-color: #f5f5f5;
        display: flex;
    justify-content: center;
    align-items: center;
    font-size: 50px;

}

.file-viewer  .file-list .file-item .item-actions {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}
.file-viewer  .file-list .file-item a.select-action {
    color: white;
    display: block;
}
.file-viewer  .file-list .file-item a.delete-action {
	color: red;
    font-weight: bold;
	 display: block;
}

.file-viewer .pagination {
    margin: 10px 0px;
    border: 1px solid #cfcfcf;
    padding: 10px;
    max-width: 600px;
}

.file-viewer .pagination a {
    color: blue;
    text-decoration: underline;
    margin-right: 5px;
    cursor: pointer;
        display: inline-block;
}



.file-viewer .pagination span {
    margin-right: 5px;
    font-weight: bold;
      cursor: pointer;
}




.file-manager-wrapper .err-msg {
    color: red;
    font-size: 0.8em;
    display: block;
    margin-top: 5px;
    margin-bottom: 5px;
    padding-left: 5px;
}

.hidden {
	display:none !important; 
}


.file-field-wrapper .upload-file input[type=file] {
	width:0px;
	height:0px;
	position: fixed;
	top: -99999px;
}
	
.file-field-wrapper .select-file {

}



.data-pagination {
    margin: 10px 0px;
    border: 1px solid #cfcfcf;
    padding: 10px;
}

.data-pagination ul {
list-style: none;
    margin: 0px;
    padding: 0px;
    margin: 5px 0px;
}

.data-pagination li {
	display: inline-block;
}

.data-pagination ul li a {
    color: blue;
    text-decoration: underline;
    margin-right: 5px;
    cursor: pointer;
}



.data-pagination ul li span {
    margin-right: 5px;
    font-weight: bold;
      cursor: pointer;
}



.filter-value-wrapper {
    position: relative;
    border: 1px solid black;
    overflow: visible;
}
.filter-value-wrapper input.filter-value {
    border: 0px;
    margin: 0px;
    padding-left: 35px;
    margin-right: -35px;
}

.drop-box {
	overflow: hidden;
}
.drop-box.open {
	overflow: visible;
}
.drop-box.open .drop-options
	display: grid:
}
.drop-box .drop-value {
	position: absolute;
	left: -1px;
	top: 0px;
	bottom: 0px;
	width: 30px;
	text-align: center;
	z-index: 2;
}
.drop-box .drop-options {
	position: absolute;
	left: -1px;
	top: calc(100%);
	background: white;
	border: 1px solid black;
	z-index: 1;
	border-left: 4px solid #275a97;
	width: auto;
	box-sizing: border-box;
	display: none;
	grid-template-columns: 1fr;
	gap: 3px;
}
.drop-box .drop-options .drop-option {
	height: 100%;
	justify-content: flex-start;
	align-items: center;
	padding-left: 5px;
	padding-right: 15px;
	border-bottom: 1px solid;
	cursor: pointer;
}
.drop-box .drop-option:hover {
	background: #ededed;
}

.drop-box .drop-options h1 {
    font-size: 12px;
    padding: 5px;
    margin: 0px;
    border-bottom: 1px solid black;
}


.view-textarea {
    white-space: pre-wrap;
    padding: 5px;
    border: 1px solid black;
    max-width: 800px;
    overflow-x: hidden;
    overflow-y: auto;
}


.data-form .form-section {
 content:"";
}
.data-form .form-section .section-header {
 content:"";
}
.data-form .form-section .section-content {
	
	 content:"";
}

.radio-group {
	 content:"";
	
}
.radio-group .option {
	
	 content:"";
}


.upload-button {
    text-decoration: none;
    font-size: 14px;
    padding: 5px 20px;
    border: 1px solid #9f9b9b;
    font-weight: normal;
    font-family: sans-serif;
    box-sizing: border-box;
    background: #2f6793;
    color: white;
    display: inline-block;
    vertical-align: middle;
	cursor:pointer;
}

i[class*=icon-] {
    font-style: normal;
    font-size: 24px;
    vertical-align: middle;
    line-height: 24px;
}
i.icon-file:before {
    content: "\1F5CE";
}

